function Mouse_initialize(){
	document.onmousedown=mouse_drag_handler;
	system_alert('Mouse initializing complete');
	document.onmousemove = mouse_move_handler;
}
/*
	Custom mouse
	add any custom mouse changes here
*/
//mouse_theme_initialize();
/*
	window dragging
*/
function mouse_drag_handler(e){
	var htype = '-moz-grabbing';
	if (e==null){
		e = window.event;
		htype = 'move';
	}
	var target = e.target != null ? e.target : e.srcElement;
	MOUSE_ORIGINAL_CURSOR = target.style.cursor;
	if (target.className == 'titlebar'){
		MOUSE_SAVED_TARGET = target.parentNode;
		target = target.parentNode;
		target.style.cursor = htype;
		MOUSE_DRAG_OK = true;
		MOUSE_DRAG_X_OFFSET = e.clientX-parseInt(target.style.left);
		MOUSE_DRAG_Y_OFFSET = e.clientY-parseInt(target.style.top);
		document.onmousemove = mouse_drag_move_handler;
		document.onmouseup = mouse_cleanup;
		return false;
	}
	if (target.className == 'resizer'){
		target = target.parentNode.parentNode;
		MOUSE_SAVED_TARGET = target;
		target.style.cursor = htype;
		MOUSE_DRAG_OK = true;
		if(!target.style.width || !target.style.height){
			target.style.width = e.clientX-parseInt(target.style.left);
			target.style.height = e.clientY-parseInt(target.style.top);
		}
		MOUSE_DRAG_X_OFFSET = e.clientX-parseInt(target.style.width);
		MOUSE_DRAG_Y_OFFSET = e.clientY-parseInt(target.style.height);
		document.onmousemove = mouse_resize_move_handler;
		document.onmouseup = mouse_cleanup;
		return false;
	}
}
function mouse_cleanup(e){
	document.onmousemove = null;
	document.onmouseup = null;
	MOUSE_SAVED_TARGET.style.cursor = MOUSE_ORIGINAL_CURSOR;
	MOUSE_DRAG_OK = false;
}
function mouse_drag_move_handler(e){
	if (e == null){
		e = window.event
	}
	if (e.button <= 1 && MOUSE_DRAG_OK){
		MOUSE_SAVED_TARGET.style.left = e.clientX-MOUSE_DRAG_X_OFFSET+PX;
		MOUSE_SAVED_TARGET.style.top = e.clientY-MOUSE_DRAG_Y_OFFSET+PX;
		window_deactivate_all();
		MOUSE_SAVED_TARGET.style.zIndex = 1;
		return false
	}
}
function mouse_resize_move_handler(e){
	if (e == null){
		e = window.event
	}
	if (e.button <= 1 && MOUSE_DRAG_OK){
		MOUSE_SAVED_TARGET.style.width = e.clientX-MOUSE_DRAG_X_OFFSET+PX;
		MOUSE_SAVED_TARGET.style.height = e.clientY-MOUSE_DRAG_Y_OFFSET+PX;
		window_deactivate_all();
		MOUSE_SAVED_TARGET.style.zIndex = 10;
		return false
	}
}
function mouse_move_handler(e){
	MOUSE_X = e.clientX;
	MOUSE_Y = e.clientY;
}
