function File_initialize(){
	system_alert('File Interfacing initializing complete');
}
/*
	functions to let developers interface with files and directories/folders
*/
// creates a blank file specified by 'Name' in the current working directory
function file_create(Name,content) {
	try {
		netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
	} catch (e) {
		alert("Permission to save file was denied.");
	}
	var file = Components.classes["@mozilla.org/file/local;1"]
		.createInstance(Components.interfaces.nsILocalFile);
	if(Name.substring(0,1)=='/'){
		path = Name;
	}else{	
		path = FILE_CURRENT_DIRECTORY+Name;
	}
	file.initWithPath(path);
	if ( file.exists() == false ) {
		file.create( Components.interfaces.nsIFile.NORMAL_FILE_TYPE, 420 );
	}
	var outputStream = Components.classes["@mozilla.org/network/file-output-stream;1"]
		.createInstance( Components.interfaces.nsIFileOutputStream );
	/* Open flags 
	#define PR_RDONLY       0x01
	#define PR_WRONLY       0x02
	#define PR_RDWR         0x04
	#define PR_CREATE_FILE  0x08
	#define PR_APPEND      0x10
	#define PR_TRUNCATE     0x20
	#define PR_SYNC         0x40
	#define PR_EXCL         0x80
	*/
	/*
	** File modes ....
	**
	** CAVEAT: 'mode' is currently only applicable on UNIX platforms.
	** The 'mode' argument may be ignored by PR_Open on other platforms.
	**
	**   00400   Read by owner.
	**   00200   Write by owner.
	**   00100   Execute (search if a directory) by owner.
	**   00040   Read by group.
	**   00020   Write by group.
	**   00010   Execute by group.
	**   00004   Read by others.
	**   00002   Write by others
	**   00001   Execute by others.
	**
	*/
	outputStream.init( file, 0x04 | 0x08 | 0x20, 420, 0 );
	var output = content;
	var result = outputStream.write( output, output.length );
	outputStream.close();
	return file;
}
//will change the current directory to what is specified in the arguement 'path' or output the current directory if 'path' is left blank
function file_cd(path){
	if(path!=undefined){
		if(path.substring(0,1)=='/'){
			FILE_CURRENT_DIRECTORY = path;
		}else if(path == '..'){
			FILE_CURRENT_DIRECTORY = FILE_CURRENT_DIRECTORY.substring(0,FILE_CURRENT_DIRECTORY.substring(0,FILE_CURRENT_DIRECTORY.length-1).lastIndexOf('/')+1);
			if(FILE_CURRENT_DIRECTORY==''){
				FILE_CURRENT_DIRECTORY = '/';
			}
		}else{
			FILE_CURRENT_DIRECTORY = FILE_CURRENT_DIRECTORY+'/'+path;
		}
	}
	return FILE_CURRENT_DIRECTORY;
}
//removes the file specified by 'Name' in the current working directory
function file_remove(Name){
	try {
		netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
	} catch (e) {
		alert("Permission to access file was denied.");
	}
	var file = Components.classes["@mozilla.org/file/local;1"]
		.createInstance(Components.interfaces.nsILocalFile);
	if(Name.substring(0,1)=='/'){
		path = Name;
	}else{	
		path = FILE_CURRENT_DIRECTORY+Name;
	}
	file.initWithPath(path);
	file.remove(file);
}
function file_read(path) {
	if(path.substring(0,1)!='/'){
		path = FILE_CURRENT_DIRECTORY+path;
	}
	try {
		netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
	} catch (e) {
		alert("Permission to read file was denied.");
	}
	var file = Components.classes["@mozilla.org/file/local;1"]
		.createInstance(Components.interfaces.nsILocalFile);
	file.initWithPath( path );
	if ( file.exists() == false ) {
		alert("File does not exist");
	}
	var is = Components.classes["@mozilla.org/network/file-input-stream;1"]
		.createInstance( Components.interfaces.nsIFileInputStream );
	is.init( file,0x01, 00004, null);
	var sis = Components.classes["@mozilla.org/scriptableinputstream;1"]
		.createInstance( Components.interfaces.nsIScriptableInputStream );
	sis.init( is );
	var output = sis.read( sis.available() );
	return output;
}
function file_copy(path,newpath){
	content = file_read(path);
	Name = path.substring(1+thePath.lastIndexOf('/'));
	curPath = file_cd();
	file_cd(newpath);
	file_create(Name,content);
	file_cd(curPath);
}
function file_move(path,newpath){
	file_copy(path,newpath);
	file_remove(path);
}
function file_mkdir(Name) {
	try {
		netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
	} catch (e) {
		alert("Permission to create directory was denied.");
	}
	var file = Components.classes["@mozilla.org/file/local;1"]
		.createInstance(Components.interfaces.nsILocalFile);
	if(Name.substring(0,1)=='/'){
		path = Name;
	}else{	
		path = FILE_CURRENT_DIRECTORY+Name;
	}
	file.initWithPath(path);
	if ( file.exists() == false ) {
		file.create( Components.interfaces.nsIFile.DIRECTORY_TYPE, 0775 );
	}
}
function file_rename(path,newName){
	dir = path.substring(0,path.lastIndexOf('/'));
	
	content = file_read(path);
	Name = path.substring(1+thePath.lastIndexOf('/'));
	file_create(dir+newName,content);

	file_remove(path);
}
function file_ls(){
	system_list_directory(file_cd());
}
