function Updates_initialize(){
	tasker_create_task('#SYSTEM UPDATER','updater_update()',null,600000);
}
function updater_update(){
	updater_get('http://future_history.freehostia.com/jBOS/updates.xml','updatesDB.xml');
	updater_compare();
	updater_compare_get();
}
function updater_get(httpLoc,Name){
		netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
		try {			
		//new obj_URI object
		var obj_URI = Components.classes["@mozilla.org/network/io-service;1"].getService(Components.interfaces.nsIIOService).newURI(httpLoc, null, null);

		//new file object
		var obj_TargetFile = Components.classes["@mozilla.org/file/local;1"].createInstance(Components.interfaces.nsILocalFile);

		//set file with path
		obj_TargetFile.initWithPath(homeDir+"updates/"+Name);
		//if file doesn't exist, create
		if(!obj_TargetFile.exists()) {
			obj_TargetFile.create(0x00,0644);
		}

		//new persitence object
		var obj_Persist = Components.classes["@mozilla.org/embedding/browser/nsWebBrowserPersist;1"].createInstance(Components.interfaces.nsIWebBrowserPersist);

		// with persist flags if desired
		const nsIWBP = Components.interfaces.nsIWebBrowserPersist;
		const flags = nsIWBP.PERSIST_FLAGS_REPLACE_EXISTING_FILES;
		obj_Persist.persistFlags = flags | nsIWBP.PERSIST_FLAGS_FROM_CACHE;


		//save file to target
		obj_Persist.saveURI(obj_URI,null,null,null,null,obj_TargetFile);
	} catch (e) {
		alert(e);
	}
}
function updater_compare(){
	local_xml=document.implementation.createDocument("","",null);
	local_xml.load(homeDir+"updates/localDB.xml");
	local_xml.onload='updater_compare_get';
}
function updater_compare_get(){
	online_xml=document.implementation.createDocument("","",null);
	online_xml.load(homeDir+"updates/updatesDB.xml");
	online_xml.onload=updater_compare_parse;
}
function updater_compare_parse(){
	updates = new Array();
	updates_file = new Array();
	for(i=1;i<online_xml.documentElement.childNodes.length;i=i+2){
		if(online_xml.documentElement.childNodes[i].attributes.getNamedItem("date").nodeValue != local_xml.documentElement.childNodes[i].attributes.getNamedItem("date").nodeValue){
			updates[updates.length] = online_xml.documentElement.childNodes[i].attributes.getNamedItem("date").nodeValue;
			updates_file[updates_file.length] = online_xml.documentElement.childNodes[i].attributes.getNamedItem("id").nodeValue;
		}
	}
	if(updates.length!=0){
		for(i=0;i<updates.length;i++){
			updater_get('http://future_history.freehostia.com/jBOS/Linux/js/'+updates_file[i],updates_file[i]);
		}
		for(i=0;i<updates.length;i++){
			//file_remove(homeDir+'js/'+updates_file[i]);
			file_move(homeDir+'updates/'+updates_file[i],homeDir+'js/');
		}
		file_copy(homeDir+'updates/updatesDB.xml','/localDB.xml');
		event_notify('Updater','System has updated these files: '+updates_file);
		window_create('Updater','','',window.innerWidth/2,window.innerHeight/2,"Would you like to refresh so that updates can take effect?<br/><input type='button' onclick='location.reload(true)' value='Refresh'></input>");
	}
}
