/*
	Windows initilization
	add any windows you want to build at startup here
*/
function desktop_logged_in(){
	desktop_initialize();
}
//change to desktop after you you create the login stuff...
function Window_initialize(){
	document.body.innerHTML = '';
	notify = document.createElement('div');
	notify.id = 'notify area';
	notify.className = 'notify';
	bar = document.createElement('div');
	bar.id = 'topbar';
	bar.className = 'topbar';
	launcher = document.createElement('div');
	launcher.id = 'launcher';
	launcher.className = 'launcher';
	img = document.createElement('img');
	img.src = 'img/launcher.gif';
	img.style.height = "30px";
	img.setAttribute('onclick',"desktop_launcher_toggle()");
	launcher.appendChild(img);
	div = document.createElement('div');
	div.className = 'appbox';
	div.id = 'appbox';
	launcher.appendChild(div);
	bar.appendChild(launcher);
	obj = document.createElement('div');
	obj.className = 'desktop';
	obj.id = 'desktop';
	obj.appendChild(bar);
	obj.appendChild(notify);
	obj.innerHTML = obj.innerHTML+SYSTEM_NAME+"<br/>"+SYSTEM_VERSION+"<br/>"+SYSTEM_AUTHOR+"<br/>"+SYSTEM_RELEASE_DATE+"<br/>"+DESKTOP_TYPE;
	document.body.appendChild(obj);
	system_alert('Window initializing complete');
}
/*
	windows functions go here prefixed with a window_ or desktop_
*/
function window_create(title,width,height,x_loc,y_loc,content,commands,priority){
	if(TASKER_TASK_LIST.name.findIndex(title)){
		i=2;
		while(TASKER_TASK_LIST.name.findIndex(title+' ('+i+')')){
			i++;
		}
		title = title+' ('+i+')';
	}
	obj = document.createElement('div');
	head = document.createElement('div');
	resizer = document.createElement('div');
	closer = document.createElement('a');
	minimizer = document.createElement('a');
	minimizer.className = 'title_-_box';
	minimizer.id = 'title_-_box';
	minimizer.href = 'javascript:window_minimize("'+title+'")';
	closer.className = 'title_x_box';
	closer.id = 'title_x_box';
	closer.href = 'javascript:window_close("'+title+'")';
	resizer.className = "resizer";
	resizer.id = "resizer";
	head.width = "100%";
	head.innerHTML = title;
	head.appendChild(closer);
	head.appendChild(minimizer);
	head.className = "titlebar";
	obj.appendChild(head);
	body = document.createElement('div');
	body.className = 'body';
	body.innerHTML = content;
	body.appendChild(resizer);
	obj.appendChild(body);
	obj.className = 'window';
	obj.id = title;
	obj.style.top = y_loc+PX;
	obj.style.left = x_loc+PX;
	obj.style.width = width+PX;
	obj.style.height = height+PX;
	tasker_create_task(title,commands,document.getElementById('desktop').appendChild(obj),priority);
}
function window_close(task_name){
	task_number = TASKER_TASK_LIST.name.findIndex(task_name);
	document.getElementById('desktop').removeChild(TASKER_TASK_LIST.task_object[task_number]);
	tasker_end_task(task_number);
}
function window_minimize(task_name){
	obj = TASKER_TASK_LIST.task_object[TASKER_TASK_LIST.name.findIndex(task_name)];
	if(obj.style.height == "20px"){
		obj.style.height = '';
		obj.style.width = '';
		obj.lastChild.style.visibility = 'visible';
	}else{
		obj.style.height = '20px';
		obj.style.width = '250px';
		obj.lastChild.style.visibility = 'hidden';
	}
}
function window_deactivate_all(){
	desktop = document.getElementById('desktop');
	for(i=0;i<=desktop.childNodes.length-1;i++){
		if(desktop.childNodes[i].style && desktop.childNodes[i].className == 'window'){
			desktop.childNodes[i].style.zIndex = 0;
		}
	}
}
function desktop_cleaner(){
	nodes = document.body.childNodes;
	for(x=1;x<nodes.length;x++){
		document.body.removeChild(nodes[x]);
	}
}
function desktop_launcher_toggle(){
	launcher = document.getElementById('launcher');
	if(launcher.childNodes[1].style.visibility == 'hidden'){
		desktop_launcher_open();
	}else{
		desktop_launcher_close();
	}
}
function desktop_launcher_open(){
	launcher.style.height = '300px';
	launcher.style.width='200px';
	launcher.style.borderStyle='grooved';
	launcher.childNodes[1].unhide();
	launcher.style.borderStyle='groove';
}
function desktop_launcher_close(){
	launcher.style.height = '';
	launcher.style.width='';
	launcher.style.borderStyle='hidden';
	launcher.childNodes[1].hide();
	launcher.style.borderStyle='none';
}
